BasicGraphUI.MouseInputHandler (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.plaf.basic.BasicGraphUI.MouseInputHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.plaf.basic
Class BasicGraphUI.MouseInputHandler

    java.lang.Object
      org.jgraph.plaf.basic.BasicGraphUI.MouseInputHandler

All Implemented Interfaces:
  EventListener, MouseInputListener, MouseListener, MouseMotionListener

Enclosing class:
  BasicGraphUI

public class BasicGraphUI.MouseInputHandler
extends Object
implements MouseInputListener

MouseInputHandler handles passing all mouse events, including mouse motion events, until the mouse is released to the destination it is constructed with. It is assumed all the events are currently target at source.

Field Summary
`protected Component` | `destination` Destination that receives all events.
`protected Component` | `source` Source that events are coming from.

Constructor Summary
`BasicGraphUI.MouseInputHandler(Component source, Component destination, MouseEvent event)`

Method Summary
`void` | `mouseClicked(MouseEvent e)`
`void` | `mouseDragged(MouseEvent e)`
`void` | `mouseEntered(MouseEvent e)`
`void` | `mouseExited(MouseEvent e)`
`void` | `mouseMoved(MouseEvent e)`
`void` | `mousePressed(MouseEvent e)`
`void` | `mouseReleased(MouseEvent e)`
`protected void` | `removeFromSource()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected Component source

  Source that events are coming from.

### destination

    protected Component destination

  Destination that receives all events.

Constructor Detail

### BasicGraphUI.MouseInputHandler

    public BasicGraphUI.MouseInputHandler(Component source,
                                          Component destination,
                                          MouseEvent event)

Method Detail

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Specified by:
    `mouseClicked` in interface `MouseListener`

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Specified by:
    `mouseReleased` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Specified by:
    `mouseEntered` in interface `MouseListener`

### mouseExited

    public void mouseExited(MouseEvent e)

  Specified by:
    `mouseExited` in interface `MouseListener`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

### removeFromSource

    protected void removeFromSource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.